
Redmine - Defect #9921

New issue validation error

2012-01-04 17:03 - Szabo Barnabas

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

Hi

If I want to create a new issue, and i don't fill the required field, and click crete I got an error page (http 500)

Here is the log:

Processing IssuesController#create (for 192.168.0.155 at 2012-01-04 16:47:18) [POST]

Parameters: {"commit"=>"Léttrehoz", "project_id"=>"jatszoprojkt", "action"=>"create",

"authenticity_token"=>"sukjxWM3avrDq6jHkZKBOtvRcsnh5WKFImzQE7S9r7k=", "issue"=>{"start_date"=>"20

NoMethodError (undefined method `collect' for nil:NilClass):

lib/redmine/hook.rb:63:in `send'

lib/redmine/hook.rb:63:in `call_hook'

lib/redmine/hook.rb:63:in `each'

lib/redmine/hook.rb:63:in `call_hook'

lib/redmine/hook.rb:60:in `tap'

lib/redmine/hook.rb:60:in `call_hook'

lib/redmine/hook.rb:141:in `call_hook'

app/controllers/issues_controller.rb:139:in `create'

passenger (3.0.11) lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'

passenger (3.0.11) lib/phusion_passenger/abstract_request_handler.rb:513:in `accept_and_process_next_request'

passenger (3.0.11) lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'

passenger (3.0.11) lib/phusion_passenger/classic_rails/application_spawner.rb:321:in `start_request_handler'

passenger (3.0.11) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `send'

passenger (3.0.11) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `handle_spawn_application'

passenger (3.0.11) lib/phusion_passenger/utils.rb:479:in `safe_fork'

passenger (3.0.11) lib/phusion_passenger/classic_rails/application_spawner.rb:270:in `handle_spawn_application'

passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:180:in `start'

passenger (3.0.11) lib/phusion_passenger/classic_rails/application_spawner.rb:149:in `start'

passenger (3.0.11) lib/phusion_passenger/spawn_manager.rb:219:in `spawn_rails_application'

passenger (3.0.11) lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'

passenger (3.0.11) lib/phusion_passenger/spawn_manager.rb:214:in `spawn_rails_application'

passenger (3.0.11) lib/phusion_passenger/abstract_server_collection.rb:82:in `synchronize'

passenger (3.0.11) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

passenger (3.0.11) lib/phusion_passenger/spawn_manager.rb:213:in `spawn_rails_application'

passenger (3.0.11) lib/phusion_passenger/spawn_manager.rb:132:in `spawn_application'

passenger (3.0.11) lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'

passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

passenger (3.0.11) helper-scripts/passenger-spawn-server:99

Rendering /Library/WebServer/Documents/redmine/public/500.html (500 Internal Server Error)

My version:

redmine: 1.2.1

ruby: 1.8.7

rails: 2.3.11
rake: 0.8.3

rack: 1.1.3

Thanks

History

#1 - 2012-01-04 17:49 - Etienne Massip

Looks a lot like a plugin issue, could you please try without any plugin?

#2 - 2017-01-08 02:21 - Go MAEDA

- Category set to Issues

- Status changed from New to Closed

- Resolution set to Cant reproduce
